@import '../../styles/common';
@import './variables';

$icon-size: rem(20px);
$page-left-alignment-breakpoint-max: 1238px;
$context-control-expand-after: 1400px;

.TopBar {
  position: relative;
  display: flex;
  height: top-bar-height();
  box-shadow: var(--p-top-bar-shadow);
  background-color: var(--p-surface);
  transition: duration() background-color ease-in-out;

  &::after {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    border-bottom: 1px solid transparent;
  }
}

.LogoDisplayControl {
  display: none;
  @include breakpoint-after(nav-min-window-corrected()) {
    display: flex;
  }
}

.LogoDisplayContainer {
  display: flex;
}

.LogoContainer {
  flex: 0 0 layout-width(nav);
  align-items: center;
  height: 100%;
  padding: 0 spacing(tight) 0 spacing(base);
  @include safe-area-for(flex-basis, layout-width(nav), left);
  @include safe-area-for(padding-left, spacing(), left);
}

.Logo,
.LogoLink {
  display: block;
}

.ContextControl {
  display: none;
  @include breakpoint-after(nav-min-window-corrected()) {
    width: layout-width(nav);
    display: block;
  }

  @include breakpoint-after($context-control-expand-after) {
    width: layout-width(nav);
  }
}

.NavigationIcon {
  @include unstyled-button;
  position: relative;
  align-self: center;
  margin-left: spacing(tight) + rem(2px);
  margin-right: spacing(tight);
  padding: spacing(tight);
  border-radius: border-radius();
  fill: var(--p-icon); // Icon will inherit this fill
  transition: (duration() - 33ms) fill easing() 33ms;

  &.focused:active {
    background-color: var(--p-surface-pressed);
  }
  &:hover {
    background-color: var(--p-surface-hovered);
  }
  // This increases hit point size.
  &::after {
    content: '';
    position: absolute;
    top: spacing(tight) * -1;
    left: spacing(tight) * -1;
    width: calc(100% + #{spacing(loose)});
    height: calc(100% + #{spacing(loose)});
  }
  @include breakpoint-after(nav-min-window-corrected()) {
    display: none;
  }
}

.Contents {
  z-index: z-index(content, $stacking-order);
  display: flex;
  flex: 1 1 auto;
  align-items: center;
  justify-content: flex-end;
  height: 100%;

  @include breakpoint-after($not-condensed-content) {
    position: relative;
  }
}

.SearchField {
  @include page-layout;
  position: relative;
  width: 100%;
  margin: 0;
  max-width: none;
  margin-left: calc((100% - #{$page-max-width}) / 2);

  @media (max-width: $page-left-alignment-breakpoint-max) {
    margin-left: 0;
    margin-right: spacing(extra-tight);
  }
}

.SecondaryMenu {
  @include recolor-icon(var(--p-icon));
}
